set (CMAKE_SYSTEM_NAME "Generic"             CACHE STRING "")
set (CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER CACHE STRING "")
set (CMAKE_FIND_ROOT_PATH_MODE_LIBRARY NEVER CACHE STRING "")
set (CMAKE_FIND_ROOT_PATH_MODE_INCLUDE NEVER CACHE STRING "")

include (CMakeForceCompiler)
CMAKE_FORCE_C_COMPILER   ("xt-clang" GNU)
CMAKE_FORCE_CXX_COMPILER ("xt-clang++" GNU)
set (CMAKE_C_FLAGS "-DAPU_CORE_ID=${APU_CORE_ID} -Wall -Werror -Wextra ${EXTRA_C_FLAGS}" CACHE STRING "")
set (PROJECT_LIB_DEPS      "-lc -lm" CACHE STRING "")
SET(CMAKE_AR  "xt-ar" CACHE STRING "")
SET(CMAKE_C_ARCHIVE_CREATE "<CMAKE_AR> qcs <TARGET> <LINK_FLAGS> <OBJECTS>")
SET(CMAKE_C_ARCHIVE_FINISH   true)

if (NOT APU_CORE_ID)
  set (APU_CORE_ID 0)
endif (NOT APU_CORE_ID)
message ("-- Building APU firmware for core:  ${APU_CORE_ID}")
if (WITH_APPS AND NOT XTENSA_LSP)
  message (FATAL_ERROR "Please provide a LSP")
endif (WITH_APPS AND NOT XTENSA_LSP)

if (WITH_APPS)
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -I${XTENSA_LSP}")
endif (WITH_APPS)

# vim: expandtab:ts=2:sw=2:smartindent
